Bug 1313926 - Can't specify content type with --content-type flag when creating a repo
Can't specify content type with --content-type flag when creating a repo
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
6.0.4
Unspecified Unspecified
unspecified Severity high (vote)
: Beta
: --
Assigned To: David Davis
Roman Plevka
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-02 10:47 EST by Partha Aji
Modified: 2016-07-27 07:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-27 07:00:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 13960 None None None 2016-04-22 12:17 EDT

  None (edit)
Description Partha Aji 2016-03-02 10:47:08 EST
To reproduce:

hammer repository create --product-id=1 --url=https://inecas.fedorapeople.org/fakerepos/zoo3/ --name=foo --content-type="yum"

Traceback:

 |
2016-02-29T15:16:39 [app] [D]
2016-02-29T15:16:39 [app] [D]
2016-02-29T15:16:39 [app] [I] Started POST "//katello/api/repositories" for 127.0.0.1 at 2016-02-29 15:16:39 -0500
2016-02-29T15:16:39 [app] [I] Processing by Katello::Api::V2::RepositoriesController#create as JSON
2016-02-29T15:16:39 [app] [I]   Parameters: {"name"=>"dioccrtlyj", "product_id"=>1, "url"=>"https://inecas.fedorapeople.org/fakerepos/zoo3/", "content_type"=>"<code>yum</code>", "api_version"=>"v2", "repository"=>{"name"=>"dioccrtlyj", "url"=>"https://inecas.fedorapeople.org/fakerepos/zoo3/", "content_type"=>"<code>yum</code>", "product_id"=>1}}
2016-02-29T15:16:39 [app] [D] Setting current user thread-local variable to foreman_admin
2016-02-29T15:16:39 [app] [D] Setting current user thread-local variable to nil
2016-02-29T15:16:39 [app] [D] Setting current user thread-local variable to foreman_admin
2016-02-29T15:16:39 [app] [D] Setting current user thread-local variable to nil
2016-02-29T15:16:39 [app] [D] Setting current user thread-local variable to admin
2016-02-29T15:16:39 [app] [I] Authorized user admin(Admin User)
2016-02-29T15:16:39 [app] [D] Setting current user thread-local variable to admin
2016-02-29T15:16:39 [app] [D] Unpermitted parameters: product_id
2016-02-29T15:16:39 [app] [E] *** ERROR: Invalid params provided - content_type must be one of ostree,docker,yum,puppet,file (422) ***
2016-02-29T15:16:39 [app] [E] REQUEST URL: /katello/api/repositories
2016-02-29T15:16:39 [app] [E] Katello::HttpErrors::UnprocessableEntity: Invalid params provided - content_type must be one of ostree,docker,yum,puppet,file
 | /home/vagrant/katello/app/controllers/katello/api/v2/repositories_controller.rb:121:in `create'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_controller/metal/implicit_render.rb:4:in `send_action'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/abstract_controller/base.rb:189:in `process_action'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_controller/metal/rendering.rb:10:in `process_action'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/abstract_controller/callbacks.rb:20:in `block in process_action'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:113:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:113:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:552:in `block (2 levels) in compile'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:502:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:502:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:495:in `block (2 levels) in around'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:306:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:306:in `block (2 levels) in halting'
 | /home/vagrant/foreman/app/controllers/api/v2/base_controller.rb:152:in `disable_json_root'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:429:in `block in make_lambda'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:305:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:305:in `block in halting'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:494:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:494:in `block in around'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:502:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:502:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:495:in `block (2 levels) in around'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:306:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:306:in `block (2 levels) in halting'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/rails-observers-0.1.2/lib/rails/observers/action_controller/caching/sweeping.rb:73:in `around'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:452:in `public_send'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:452:in `block in make_lambda'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:305:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:305:in `block in halting'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:494:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:494:in `block in around'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:502:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:502:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:495:in `block (2 levels) in around'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:306:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:306:in `block (2 levels) in halting'
 | /home/vagrant/foreman/app/controllers/concerns/application_shared.rb:13:in `set_timezone'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:429:in `block in make_lambda'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:305:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:305:in `block in halting'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:494:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:494:in `block in around'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:502:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:502:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:495:in `block (2 levels) in around'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:306:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:306:in `block (2 levels) in halting'
 | /home/vagrant/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:429:in `block in make_lambda'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:305:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:305:in `block in halting'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:494:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:494:in `block in around'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:502:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:502:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:495:in `block (2 levels) in around'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:306:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:306:in `block (2 levels) in halting'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/rails-observers-0.1.2/lib/rails/observers/action_controller/caching/sweeping.rb:73:in `around'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:452:in `public_send'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:452:in `block in make_lambda'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:305:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:305:in `block in halting'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:494:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:494:in `block in around'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:502:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:502:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:86:in `run_callbacks'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/abstract_controller/callbacks.rb:19:in `process_action'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_controller/metal/rescue.rb:29:in `process_action'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/notifications.rb:159:in `block in instrument'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/notifications.rb:159:in `instrument'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_controller/metal/instrumentation.rb:30:in `process_action'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_controller/metal/params_wrapper.rb:250:in `process_action'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.1.14.1/lib/active_record/railties/controller_runtime.rb:18:in `process_action'
 | /home/vagrant/katello/app/controllers/katello/concerns/api/api_controller.rb:39:in `process_action'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/abstract_controller/base.rb:136:in `process'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionview-4.1.14.1/lib/action_view/rendering.rb:30:in `process'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_controller/metal.rb:196:in `dispatch'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_controller/metal/rack_delegation.rb:13:in `dispatch'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_controller/metal.rb:232:in `block in action'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_dispatch/routing/route_set.rb:80:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_dispatch/routing/route_set.rb:80:in `dispatch'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_dispatch/routing/route_set.rb:48:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_dispatch/routing/mapper.rb:45:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_dispatch/journey/router.rb:73:in `block in call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_dispatch/journey/router.rb:59:in `each'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_dispatch/journey/router.rb:59:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_dispatch/routing/route_set.rb:690:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/railties-4.1.14.1/lib/rails/engine.rb:514:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/railties-4.1.14.1/lib/rails/railtie.rb:194:in `public_send'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/railties-4.1.14.1/lib/rails/railtie.rb:194:in `method_missing'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_dispatch/journey/router.rb:73:in `block in call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_dispatch/journey/router.rb:59:in `each'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_dispatch/journey/router.rb:59:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_dispatch/routing/route_set.rb:690:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_dispatch/middleware/static.rb:84:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_dispatch/middleware/static.rb:84:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/apipie-rails-0.3.6/lib/apipie/static_dispatcher.rb:65:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/bullet-5.0.0/lib/bullet/rack.rb:12:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/apipie-rails-0.3.6/lib/apipie/extractor/recorder.rb:132:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/apipie-rails-0.3.6/lib/apipie/middleware/checksum_in_headers.rb:27:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/rack-openid-1.4.2/lib/rack/openid.rb:98:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/rack-1.5.5/lib/rack/etag.rb:23:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/rack-1.5.5/lib/rack/conditionalget.rb:35:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/rack-1.5.5/lib/rack/head.rb:11:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_dispatch/middleware/params_parser.rb:27:in `call'
 | /home/vagrant/foreman/lib/middleware/catch_json_parse_errors.rb:9:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_dispatch/middleware/flash.rb:254:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/rack-1.5.5/lib/rack/session/abstract/id.rb:225:in `context'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/rack-1.5.5/lib/rack/session/abstract/id.rb:220:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_dispatch/middleware/cookies.rb:562:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.1.14.1/lib/active_record/query_cache.rb:36:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.1.14.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:621:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.1.14.1/lib/active_record/migration.rb:380:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_dispatch/middleware/callbacks.rb:29:in `block in call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:82:in `run_callbacks'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_dispatch/middleware/callbacks.rb:27:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_dispatch/middleware/reloader.rb:73:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_dispatch/middleware/remote_ip.rb:76:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_dispatch/middleware/debug_exceptions.rb:17:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/railties-4.1.14.1/lib/rails/rack/logger.rb:38:in `call_app'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/railties-4.1.14.1/lib/rails/rack/logger.rb:22:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/quiet_assets-1.1.0/lib/quiet_assets.rb:27:in `call_with_quiet_assets'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_dispatch/middleware/request_id.rb:21:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/rack-1.5.5/lib/rack/methodoverride.rb:21:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/rack-1.5.5/lib/rack/runtime.rb:17:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/activesupport-4.1.14.1/lib/active_support/cache/strategy/local_cache_middleware.rb:26:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/rack-1.5.5/lib/rack/lock.rb:17:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/actionpack-4.1.14.1/lib/action_dispatch/middleware/static.rb:84:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/rack-1.5.5/lib/rack/sendfile.rb:112:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/railties-4.1.14.1/lib/rails/engine.rb:514:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/railties-4.1.14.1/lib/rails/application.rb:144:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/railties-4.1.14.1/lib/rails/railtie.rb:194:in `public_send'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/railties-4.1.14.1/lib/rails/railtie.rb:194:in `method_missing'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/rack-1.5.5/lib/rack/builder.rb:138:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/rack-1.5.5/lib/rack/urlmap.rb:65:in `block in call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/rack-1.5.5/lib/rack/urlmap.rb:50:in `each'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/rack-1.5.5/lib/rack/urlmap.rb:50:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/rack-1.5.5/lib/rack/content_length.rb:14:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/puma-3.0.2/lib/puma/configuration.rb:221:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/puma-3.0.2/lib/puma/server.rb:561:in `handle_request'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/puma-3.0.2/lib/puma/server.rb:406:in `process_client'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/puma-3.0.2/lib/puma/server.rb:271:in `block in run'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/puma-3.0.2/lib/puma/thread_pool.rb:111:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/puma-3.0.2/lib/puma/thread_pool.rb:111:in `block in spawn_thread'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/logging-2.0.0/lib/logging/diagnostic_context.rb:448:in `call'
 | /home/vagrant/.rvm/gems/ruby-2.2.4/gems/logging-2.0.0/lib/logging/diagnostic_context.rb:448:in `block in create_with_logging_context'
Comment 1 Partha Aji 2016-03-02 10:47:11 EST
Created from redmine issue http://projects.theforeman.org/issues/13960
Comment 2 Partha Aji 2016-03-02 10:47:14 EST
Upstream bug assigned to daviddavis@redhat.com
Comment 4 Roman Plevka 2016-03-22 07:55:16 EDT
VERIFIED
on Sat6.2 (snap 4)

# hammer product create --organization-id 1 --name my_prod_1
[Foreman] Password for admin: 
Product created

# hammer -v repository create --product-id=1 --url=https://inecas.fedorapeople.org/fakerepos/zoo3/ --name=foo --content-type="yum"
[Foreman] Password for admin: 
Repository created
# hammer repository info --id 1
[Foreman] Password for admin: 
ID:                 1
Name:               foo
Label:              foo
Organization:       Default Organization
Red Hat Repository: no
Content Type:       yum
URL:                https://inecas.fedorapeople.org/fakerepos/zoo3/
Publish Via HTTP:   yes
Published At:       http://bkr-hv10-guest01.lab.eng.rdu.redhat.com/pulp/repos/Default_Organization/Library/custom/my_prod_1/foo
Relative Path:      Default_Organization/Library/custom/my_prod_1/foo
Download Policy:    on_demand
Product:            
    ID:   1
    Name: my_prod_1
GPG Key:            

Sync:               
    Status: Not Synced
Created:            2016/03/22 11:52:40
Updated:            2016/03/22 11:52:40
Content Counts:     
    Packages:       0
    Package Groups: 0
    Errata:         0
Comment 7 Bryan Kearney 2016-07-27 07:00:21 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501

Note You need to log in before you can comment on or make changes to this bug.